.factory-form-container {
  padding-top: 20px;
  padding-bottom: 30px;
  .label {
    font-size: 20px;
    font-weight: 300;
    // color: var(--light);
    margin: 20px 0 10px 0;
  }
  .form-header {
    margin-bottom: 20px;
  }
  .form-details {
    font-size: 18px;
    border: solid 1px var(--dark-green-blue);
    background-color: var(--dark-slate-blue);
    padding: 1.2rem 1.8rem;
    display: flex;
    flex-direction: column;

    label {
      display: flex;
      flex-direction: column;
      margin-bottom: 40px;
      font-size: 23px;
      font-weight: 500;
      color: var(--light);
      .error-message {
        margin-top: 5px;
        color: red;
        font-weight: 400;
        font-size: 20px;
      }

      input:-webkit-autofill,
      input:-webkit-autofill:hover,
      input:-webkit-autofill:focus,
      input:-webkit-autofill:active {
        -webkit-box-shadow: 0 0 0 30px #0e273b inset !important;
        transition: background-color 5000s ease-in-out 0s;
        -webkit-text-fill-color: white !important;
      }
    }

    &__value {
      height: 52px;
      margin: 10px 0 0;
      padding: 14px 16px 16px 13px;
      font-size: 18px;
      background-color: var(--box-no-style-dark);
      border: 1px solid transparent;
      color: var(--white);

      &:focus {
        color: var(--white);
        border: solid 1px var(--greenish-grey);
      }
    }

    .send-button {
      width: 100%;
      font-size: 18px;
      font-weight: 500;
      margin-top: 2rem;
      padding-top: 7px;
      padding-bottom: 9px;

      &:hover {
        background-color: var(--light) !important;
      }
    }
  }
}
